/*
Windows Titlebar Remover
------------------------
This simple AutoHotkey script will remove the Windows titlebar from any program
or game running in windowed mode under Windows 10+. This is perfect for games
(such as Microsoft Flight Simulator 2000 or Combat Flight Simulator 2) that
don't render properly (or suffer from poor framerate) when run in fullscreen
mode under Windows 10+, yet function well when run in a fullscreen window.

This AutoHotkey script doesn't suffer from some of the performance issues that
DDrawCompat (or any other Direct3D or DirectDraw "wrapper") may introduce when
attempting to accomplish the same thing.

After running the program or game and putting it in fullscreen windowed mode,
press the left Windows key and the left mouse button simultaneously to remove
the Windows titlebar. Press the left Windows key and the right mouse button
simultaneously to display the Windows titlebar.

Note that if you run a program or game as an administrator, or have any of the
various Windows compatibility modes enabled, you will need to execute this
AutoHotkey script as an administrator for it to function when running the
program or game.
*/

LWIN & LButton::
WinSet, Style, -0xC00000, A
return

LWIN & RButton::
WinSet, Style, +0xC00000, A
return
